# Uses of Class
org.apache.sysds.runtime.matrix.operators.CMOperator

Packages that use CMOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of CMOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type CMOperator
Modifier and Type
Method
Description
`CmCovObject`
CompressedMatrixBlock.`cmOperations(CMOperator op)`
`CmCovObject`
CompressedMatrixBlock.`cmOperations(CMOperator op, MatrixBlock weights)`

## Uses of CMOperator in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type CMOperator
Modifier and Type
Method
Description
`abstract CmCovObject`
AColGroup.`centralMoment(CMOperator op, int nRows)`
Central Moment instruction executed on a column group.
`CmCovObject`
AColGroupValue.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupConst.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupDDCFOR.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupEmpty.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupLinearFunctional.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupSDC.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupSDCFOR.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupSDCSingle.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupUncompressed.`centralMoment(CMOperator op, int nRows)`
`CmCovObject`
ColGroupUncompressedArray.`centralMoment(CMOperator op, int nRows)`

## Uses of CMOperator in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type CMOperator
Modifier and Type
Method
Description
`static CmCovObject`
CLALibCMOps.`centralMoment(CompressedMatrixBlock cmb, CMOperator op)`

## Uses of CMOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type CMOperator
Modifier and Type
Method
Description
`static void`
MatrixBlock.`checkCMOperations(MatrixBlock mb, CMOperator op)`
`CmCovObject`
MatrixBlock.`cmOperations(CMOperator op)`
`CmCovObject`
MatrixBlock.`cmOperations(CMOperator op, MatrixBlock weights)`

## Uses of CMOperator in org.apache.sysds.runtime.matrix.operators

Methods in org.apache.sysds.runtime.matrix.operators that return CMOperator
Modifier and Type
Method
Description
`CMOperator`
CMOperator.`setCMAggOp(int order)`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type CMOperator
Modifier
Constructor
Description
``
`CMOperator(CMOperator that)`